#pragma once

// I2c address of MPU6050
#define MPU6050_ADDR 0x68 // With AD0 pin grounded/floating, otherwise 0x69

// MPU-6050 register addresses
#define MPU6050_REG_ACCEL_XOUT_H 0x3B
#define MPU6050_REG_ACCEL_XOUT_L 0x3C
#define MPU6050_REG_GYRO_XOUT_H 0x43
#define MPU6050_REG_GYRO_XOUT_L 0x44
#define MPU6050_TEMP_OUT_H 0x41
#define MPU6050_TEMP_OUT_L 0x42
#define MPU6050_REG_PWR_MGMT_1 0x6B

#include <stdint.h>
#include <avr/io.h>
#include <util/delay.h>

// Function to initialize MPU-6050
void MPU6050_Init();

// Function to read accelerometer data from MPU-6050
void MPU6050_Read_Accel(int16_t* accel_data);

// Function to read gyroscope data from MPU-6050
void MPU6050_Read_Gyro(int16_t* gyro_data);
