#pragma once
// Simple UART library for ATmega328P

// Define DEBUG_UART_ENABLED to enable debug messages
#ifdef DEBUG_UART_ENABLED
#define DEBUG(...) UART_println(__VA_ARGS__)
#else
#define DEBUG(...) ((void)0) // Define as no operation (NOP)
#endif

#include <stdint.h>

// Initialize UART
void initUART();

// Transmit a byte over UART
void UART_transmit(uint8_t data);

// Print a formatted string over UART
void UART_println(const char* format, ...);